package hwloc

// #cgo pkg-config: hwloc
// #include <stdint.h>
// #include <hwloc.h>
// #include <hwloc/autogen/config.h>
import "C"
import (
	"fmt"
)

func GetVersions() string {
	return fmt.Sprintf("hwloc: _VERSION: %s, _API_VERSION: %#08x, _COMPONENT_ABI: %d, Runtime: %#08x",
		C.HWLOC_VERSION,
		C.HWLOC_API_VERSION,
		C.HWLOC_COMPONENT_ABI,
		uint(C.hwloc_get_api_version()))
}
